PROFILE(1)

NAME
        profile - compute the profile likelihood of disease location

SYNOPSIS
        profile [--verbose [level]] [--segment method] [--left-mask number]
                [--right-mask number] [--ssm number] [--ibd number]
                [--p-mut number] [--p-recomb number] [--dist-fname filename]
                [--str-fname filename] [--recomb-fname filename]
                [--no-recomb-sum] [--max-latent-depth number]
                [--path-strategy method] [--num-odh number] [--criterion method]
                [--components-fname filename] [--allele-freq]
                [--root-prior filename] [--no-clades] [--exclude-normals]
                [--num-normals number] number filename filename

DESCRIPTION
        Profile computes the profile likelihood of the disease location
        parameter, evaluated at disease, where
   
            PL(d) = max{ Pr(X|d,T) : T in space of rooted tree topologies }.
   
        Currently, a heuristic algorithm for constructing a tree topology is
        used to perform the maximization in the above formula.  It prints
        verbosely to stdout the results of steps of the algorithm and the
        resulting tree.

OPTIONS
        --verbose [level]            Give verbose output, optionally
                                     specifying level of verbosity.
        --segment method             Method of computing Pr(segment), the
                                     probability of a haplotype segment.
                                     Choices: longest, independent. Default:
                                     longest
        --left-mask number           Gap number masking left of haplotypes.
                                     Default: (none)
        --right-mask number          Gap number masking right of haplotypes.
                                     Default: (none)
        --ssm number                 Probability of a 1-step mutation given a
                                     mutation has occurred. Default: 10/11
        --ibd number                 Relative probability of two haplotype
                                     fragments being identical-by-descent
                                     versus identical-by-chance. Default: 0.5
        --p-mut number               Probability of a mutation over the entire
                                     region spanned by the markers. Default:
                                     0.01
        --p-recomb number            Probability of a recombination over the
                                     entire region spanned by the markers.
                                     Default: 0.01
        --dist-fname filename        File containing distribution parameters
                                     for mutations per locus. Default: (none)
        --str-fname filename         File containing sizes of the repeated
                                     units of the STR marker at each locus.
                                     Default: (none)
        --recomb-fname filename      File containing the relative
                                     probabilities of recombinations in each
                                     gap. Default: (none)
        --no-recomb-sum              Set this option to use a more
                                     conservative estimate of P(S-->T|recomb)
                                     by not summing over gaps between the
                                     disease and the probable recombination
                                     point. Default: (unset)
        --max-latent-depth number    Maximum number of latents allowed between
                                     observed haplotypes. Default: 4
        --path-strategy method       Strategy for generating paths with
                                     latents. Choices: no_latents,
                                     no_latent_recomb, latent_recomb. Default:
                                     no_latent_recomb.
        --num-odh number             Number of ODHs on which to condition.
                                     Default: 1
        --criterion method           Method of computing a priority for a pair
                                     of paths during tree construction.
                                     Choices: average, min, max. Default:
                                     average
        --components-fname filename  Name of output file for all of the
                                     possible rooted trees per component.
                                     Default: (none)
        --allele-freq                Set this option if the file of normal
                                     haplotypes contains allele frequencies
                                     instead of haplotypes. Default: (unset)
        --root-prior filename        Name of file containing prior for P(S is
                                     root) for all observed diseased
                                     haplotypes S. Default: (none)
        --no-clades                  Set this option to put each disease
                                     haplotype into its own clade. Default:
                                     (unset)
        --exclude-normals            Set this option to exclude disease
                                     haplotypes also present in the normals
                                     from the analysis. Default: (unset)
        --num-normals number         Number of normal haplotypes. If the file
                                     of normal haplotypes contains allele
                                     frequencies, then this needs to be
                                     specified. Otherwise, this sets the
                                     number of normal haplotypes to read from
                                     the file of normal haplotypes. If set to
                                     0, then all of the normal haplotypes are
                                     used. Default: 0
        number                       An integer from 1 to L-1 (inclusive),
                                     where L is the length of a haplotype,
                                     representing the disease location.
        filename                     File containing diseased haplotypes.
                                     Haplotypes may be observed or latent.
        filename                     File containing normal haplotypes. This
                                     is used in computing Pr(segment).
FILES
        The format for haplotype files is:

            haplotype_1
            haplotype_2
            ...
            haplotype_n

        A haplotype is a space-separated sequence of labels, where labels are
        positive integers or NA.

AUTHOR
        Johnny C. Lam (lamj@stat.cmu.edu).
